openSUSE Security Update : evince (openSUSE-2019-1908)

Medium Nessus Plugin ID 128000

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for evince fixes the following issues :

- CVE-2019-1010006: Fixed a buffer overflow in backend/tiff/tiff-document.c (bsc#1141619).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected evince packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1141619

Plugin Details

Severity: Medium

ID: 128000

File Name: openSUSE-2019-1908.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2019/08/20

Updated: 2019/08/20

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 7.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:evince, p-cpe:/a:novell:opensuse:evince-debuginfo, p-cpe:/a:novell:opensuse:evince-debugsource, p-cpe:/a:novell:opensuse:evince-devel, p-cpe:/a:novell:opensuse:evince-lang, p-cpe:/a:novell:opensuse:evince-plugin-comicsdocument, p-cpe:/a:novell:opensuse:evince-plugin-comicsdocument-debuginfo, p-cpe:/a:novell:opensuse:evince-plugin-djvudocument, p-cpe:/a:novell:opensuse:evince-plugin-djvudocument-debuginfo, p-cpe:/a:novell:opensuse:evince-plugin-dvidocument, p-cpe:/a:novell:opensuse:evince-plugin-dvidocument-debuginfo, p-cpe:/a:novell:opensuse:evince-plugin-pdfdocument, p-cpe:/a:novell:opensuse:evince-plugin-pdfdocument-debuginfo, p-cpe:/a:novell:opensuse:evince-plugin-psdocument, p-cpe:/a:novell:opensuse:evince-plugin-psdocument-debuginfo, p-cpe:/a:novell:opensuse:evince-plugin-tiffdocument, p-cpe:/a:novell:opensuse:evince-plugin-tiffdocument-debuginfo, p-cpe:/a:novell:opensuse:evince-plugin-xpsdocument, p-cpe:/a:novell:opensuse:evince-plugin-xpsdocument-debuginfo, p-cpe:/a:novell:opensuse:libevdocument3-4, p-cpe:/a:novell:opensuse:libevdocument3-4-debuginfo, p-cpe:/a:novell:opensuse:libevview3-3, p-cpe:/a:novell:opensuse:libevview3-3-debuginfo, p-cpe:/a:novell:opensuse:nautilus-evince, p-cpe:/a:novell:opensuse:nautilus-evince-debuginfo, p-cpe:/a:novell:opensuse:typelib-1_0-EvinceDocument-3_0, p-cpe:/a:novell:opensuse:typelib-1_0-EvinceView-3_0, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2019/08/15

Vulnerability Publication Date: 2019/07/15

Reference Information

CVE: CVE-2019-1010006